import '../icon/icon';
import SolidElement from '../../internal/solid-element';
export default class SdOption extends SolidElement {
    private readonly hasSlotController;
    private cachedTextLabel;
    defaultSlot: HTMLSlotElement;
    current: boolean;
    selected: boolean;
    hasHover: boolean;
    isKeyboardFocus: boolean;
    size: 'lg' | 'md' | 'sm';
    checkbox: boolean;
    disabled: boolean;
    value: string;
    connectedCallback(): void;
    private handleDefaultSlotChange;
    private handleMouseEnter;
    private handleMouseLeave;
    handleDisabledChange(): void;
    handleSelectedChange(): void;
    handleValueChange(): void;
    getTextLabel(): string;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-option': SdOption;
    }
}
